# -*- coding: utf-8 -*-
# Description:
# Fake elements used by the test suite.
#
# Authors:
# Benoît Allard <benoit.allard@greenbone.net>
#
# Copyright:
# Copyright (C) 2014 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

def login(*args, **kwargs):
    if 'headers' in kwargs:
        if 'Authorization' in kwargs['headers']:
            if 'good' in kwargs['headers']['Authorization']:
                return FakeRequest(text='1234')
    return FakeRequest(status_code=401, text='Login Failed')
    

class FakeSession(object):
    def get(self, url, *args, **kwargs):
        if url.endswith('login'):
            return login(*args, **kwargs)
        return FakeRequest()


class FakeRequest(object):
    status_code = 200
    def __init__(self, **kwargs):
        for key, value in kwargs.items():
            setattr(self, key, value)
            

